LibreOffice: XSAXDocumentBuilder2 Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSAXDocumentBuilder2 Interface Reference

Provides a unified interface for the SAXDocumentBuilder service to implement. More...

`import "XSAXDocumentBuilder2.idl";`

Inheritance diagram for XSAXDocumentBuilder2:

## Exported Interfaces
interface | XSAXDocumentBuilder
interface | com::sun::star::xml::sax::XFastDocumentHandler

## Additional Inherited Members
Public Member Functions inherited from XSAXDocumentBuilder
SAXDocumentBuilderState | getState ()
void | reset ()
XDocument | getDocument ()
XDocumentFragment | getDocumentFragment ()
void | startDocumentFragment ([in] XDocument ownerDoc)
void | endDocumentFragment ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XFastDocumentHandler
void | startDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser when parsing of an XML stream is started.
void | endDocument () raises ( com::sun::star::xml::sax::SAXException )
| called by the parser after the last XML element of a stream is processed.
void | processingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of a processing instruction.
void | setDocumentLocator ([in] com::sun::star::xml::sax::XLocator xLocator) raises ( com::sun::star::xml::sax::SAXException )
| receives an object for locating the origin of SAX document events.
Public Member Functions inherited from XFastContextHandler
void | startFastElement ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an element .
void | startUnknownElement ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown element .
void | endFastElement ([in] long Element) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a known element.
void | endUnknownElement ([in] string Namespace, [in] string Name) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the end of a known element.
XFastContextHandler | createFastChildContext ([in] long Element, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of a known child element.
XFastContextHandler | createUnknownChildContext ([in] string Namespace, [in] string Name, [in] XFastAttributeList Attribs) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of the beginning of an unknown child element .
void | characters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
| receives notification of character data.

## Detailed Description

Provides a unified interface for the SAXDocumentBuilder service to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::xml::sax::XFastDocumentHandler

interface com::sun::star::xml::sax::XFastDocumentHandler

## ◆ XSAXDocumentBuilder

interface XSAXDocumentBuilder

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/XSAXDocumentBuilder2.idl